Subject: Re: bug#40704: 28.0.50; Improve and speed up (Gnus) registry saving

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 02 Oct 2020 03:38:09 +0200

Michael Heerdegen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> I'm still not enthusiastic about duplicating the hash printing here.
>> Whenever print_vectorlike changes, this has to be changed, too.
>
> Nothing existing fits the needs here, since printing with prin1 can't be
> controlled as much as we need.  I'm ok with leaving the code as is for
> now, since both alternatives seem equally bad to me.

I was wondering whether we could factor out the hash table bits from
print_vectorlike and reuse them here, somehow...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no